Get Chat
curl --request GET \
--url https://app.splox.io/api/v1/chats/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.splox.io/api/v1/chats/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.splox.io/api/v1/chats/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_id": "<string>",
"is_public": true,
"public_share_token": "<string>",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Chats
Get Chat
Retrieves a chat session by ID. Users can only access their own chats.
GET
/
chats
/
{id}
Get Chat
Retrieves a chat session by ID. Users can only access their own chats.
Usage
curl -H "Authorization: Bearer YOUR_TOKEN" \
https://app.splox.io/api/v1/chats/{chat_id}
from splox import SploxClient
client = SploxClient(api_key="YOUR_API_KEY")
chat = client.chats.get("CHAT_ID")
print(chat.name, chat.resource_type, chat.created_at)
import Splox from "splox";
const client = new Splox("YOUR_API_KEY");
const chat = await client.chats.get("CHAT_ID");
console.log(chat.name, chat.resource_type, chat.created_at);
client := splox.NewClient("YOUR_API_KEY")
chat, err := client.Chats.Get(ctx, "CHAT_ID")
fmt.Println(chat.Name, chat.ResourceType, chat.CreatedAt)
Response
{
"id": "0199f200-a11b-7c8d-4444-888890abcdef",
"name": "Customer Support Chat",
"user_id": "0199d001-c45d-9e0f-3456-789012cdef01",
"resource_type": "api",
"resource_id": "0199e001-a23b-7c8d-1234-567890abcdef",
"is_public": false,
"public_share_token": null,
"metadata": null,
"created_at": "2025-10-22T10:00:00Z",
"updated_at": "2025-10-22T12:15:47Z"
}
Notes
Authentication required: Users can only retrieve their own chats.
Authorizations
API token generated from your Splox account settings. Create tokens at https://app.splox.io/account?tab=settings
Path Parameters
Chat ID
⌘I

